drop proc in_actualizatoma_art_proc
go
	    
create proc in_actualizatoma_art_proc
@lista_del varchar(7950),
@lista_ins varchar(7950)
as

declare @cadena_ins varchar(8000)
declare @cadena_del varchar(8000)
declare @fechainicio as smalldatetime		--fecha inicion de inventario
declare @siteorig  ud_idsite			--site que inicia inventario
set @siteorig=(select sourcesite from setup)	--obtener el almacen original
set @fechainicio= (select startdateinven from site where siteid=@siteorig ) --obtener la fecha de inicio de inventario del site

begin tran
--------------------------------------------------------
--eliminar los productos a in_inventphisical

if len(@lista_del)>2
	begin
		set @cadena_del='delete in_inventphisical where INVTIDSKU in ('+ @lista_del +')'
		exec (@cadena_del)
	end

--------------------------------------------------------
--agregar los productos a in_inventphisical

if len(@lista_ins)>2
begin
	set @cadena_ins=' insert into in_inventphisical (siteid,invtidsku, classid,classubid,stockphisical) '+
		" ( select '"+@siteorig+"' ,invtidsku,classid,classubid,0 from in_inventory "+
		' where invtidsku in ('+@lista_ins+') ' +
		' and (invtidsku not in (select invtidsku from in_INVENTPHISICAL) ) )'

	exec (@cadena_ins)
end

if (@@error!=0)
	rollback
else
	commit
go

exec in_actualizatoma_art_proc '331',"'3852'"